import Vue from 'vue'
import Vuex from 'vuex'
import searchcondition from './store/search-condition'
import dataStore from './store/dataStore'
import login from './modules/login/store/index'
import createPersistedState from 'vuex-persistedstate';


Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    searchcondition,
    login,
    dataStore
  },
  plugins: [createPersistedState({ paths: ["login","dataStore"] })],
})
